export type BockType = 'heading-one' | 'heading-two' | 'heading-tre' | 'heading-for' | 'paragraph';
export type Align = 'left' | 'right' | 'center' | 'justify';
export type Tabs = 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9;
export type List = 'bulleted-list' | 'numbered-list' | 'list-item' | 'paragraph';
export interface BlockElement {
    type: BockType;
    align: Align;
    tabs: Tabs;
    list: List;
    children: Child[];
}
export interface Child {
    backgroundColor?: string;
    color: string;
    fontFamily: string;
    fontSize?: number;
    bold: boolean;
    italic: boolean;
    underline: boolean;
    text: string;
}
export declare const characters: (text: BlockElement[]) => string;
export declare const defaulHtml = "<p class='text-left' style=\"width: 100%;\"></p>";
export declare const defaultChild: Child[];
export declare const defaultBlock: BlockElement[];
export declare const t = "data-slate-node=\"text\"";
export declare const t1 = "data-slate-node=\"element\"";
export declare const t2 = "data-slate-leaf=\"true\"";
export declare const t3 = "data-slate-string=\"true\"";
export declare function getHTML(id?: string | number): string;
type BlockElementFun = (text: BlockElement[]) => BlockElement[];
export declare const getText: BlockElementFun;
export declare const setText: BlockElementFun;
export declare const getTextFormat: (text: BlockElement[]) => string;
export {};
